<?php
/*****************************************************************************
 * DummyBox.php
 * Defines the key template DummyBox.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class DummyBox extends SubTemplate
{
	public function __construct($title = '', $content = '', $class = '')
	{
		$this->_title = $title;
		$this->_content = $content;
		$this->_class = $class;
	}

	protected function html_content()
	{
		echo '
			<div class="boxed_content', $this->_class ? ' ' . $this->_class : '', '">', $this->_title ? '
				<h2>' . $this->_title . '</h2>' : '', '
				', $this->_content;

		foreach ($this->_subtemplates as $template)
			$template->html_main();

		echo '
			</div>';
	}
}
